# JSDoc: Class: MixinBuilder

# Class: MixinBuilder

## util.MixinBuilder(superclass)

#### new MixinBuilder(superclass)

Syntactic sugar for Mixins

This is heavily adapted from: http://justinfagnani.com/2015/12/21/real-mixins-with-javascript-classes/

##### Parameters:

Name | Type | Description
--- | --- | ---
`superclass` | Object |

Source:
  - util/Util.js, line 10

##### Example

    class BaseClass { ... }
    let Mixin1 = (superclass) => class extends superclass { ... }
    let Mixin2 = (superclass) => class extends superclass { ... }
    class NewClass extends mix(BaseClass).with(Mixin1, Mixin2) { ... }